# List publishers

Publishers are associated to an organization. A collection of publishers for an organization can be retrieved using an HTTP GET request containing an organization_id
`Example: https://api.mediamath.com/deals/v1.0/publishers?organization_id=100315`
The allowed sort_by parameters are "id", "name", "created_on", and "updated_on". organization_id is the only required parameter
A video explainer on publisher management through the MediaMath app can be found at: https://academy.mediamath.com/mediamath-beta-courses?next=%2Fmediamath-beta-courses%2F800806

Endpoint: GET /publishers
Version: 2.0
Security: Bearer

## Security:

  - `Bearer` (unknown)
    apiKey in header Authorization

## Query parameters:

  - `sort_by` (string)
    sort_by

  - `sort_dir` (string)
    Sort direction

  - `q` (string)
    q

  - `page_offset` (integer)
    page_offset

  - `page_limit` (integer)
    Maximum list page element count

  - `organization_id` (integer, required)
    organization_id

## Header parameters:

  - `Authorization` (string)
    Authorization

## Response 200:

  - `200` (unknown)
    ```
{
"meta": {
"count": 1,
"status": "ok",
"offset": 0,
"total_count": 1
},
"data": [
{
"name": "testing",
"last_touch_user_id": 4254,
"id": 3,
"updated_on": "2020-10-01T14:21:48+00:00",
"created_on": "2020-10-01T14:21:48+00:00",
"deleted_on": null,
"organization_id": 100315
}
]
}
```

## Response 200 fields (application/json):

  - `meta` (object)

  - `meta.count` (integer)

  - `meta.status` (string)

  - `meta.offset` (integer)

  - `meta.total_count` (integer)

  - `data` (array)

  - `data.name` (string)

  - `data.last_touch_user_id` (integer)

  - `data.id` (integer)

  - `data.updated_on` (string)

  - `data.created_on` (string)

  - `data.deleted_on` (any)

  - `data.organization_id` (integer)

